/*
 * id3tag.h -- id3tag header file
 * (C)Copyright 1998, 99 by Hiroshi Takekawa
 * Last Modified: Tue Nov  7 15:28:38 2000.
 * $Id: id3tag.h,v 1.2 2000/11/07 06:36:31 sian Exp sian $
 */

typedef struct _id3tag {
  char id[3];
  unsigned char song[30];
  unsigned char artist[30];
  unsigned char album[30];
  char year[4];
  unsigned char comment[30];
  unsigned char genre;
  char c; /* sentinel */
} Id3tag;

/* functions */
int id3tag_init(char *, int);
int id3tag_finish(void);
int id3tag_readtag(void);
int id3tag_writetag(void);
int id3tag_check(void);
int id3tag_delete(void);

void id3tag_set_force_flag(int);

unsigned char *id3tag_getsong(void);
unsigned char *id3tag_setsong(unsigned char *);
unsigned char *id3tag_getartist(void);
unsigned char *id3tag_setartist(unsigned char *);
unsigned char *id3tag_getalbum(void);
unsigned char *id3tag_setalbum(unsigned char *);
char *id3tag_getyear(void);
char *id3tag_setyear(char *);
unsigned char *id3tag_getcomment(void);
unsigned char *id3tag_setcomment(unsigned char *comment);
unsigned char id3tag_getgenrecode(void);
void id3tag_setgenrecode(unsigned char);
char *id3tag_getgenre(void);
int id3tag_setgenre(char *);
char **id3tag_getgenrenames(void);
Id3tag id3tag_getinfo(void);
void id3tag_setinfo(Id3tag);
